
package de.ivu.elect.jee.exchange;

import de.ivu.elect.jee.presentation.Icons;

public enum ViolationLevel {
  INFO {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconInfo();
    }
  },
  WARNING {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconWarning();
    }

    @Override
    public boolean isWarning() {
      return true;
    }
  },
  ERROR {
    @Override
    public String getIcon(Icons icons) {
      return icons.getIconCancel();
    }

    @Override
    public boolean isError() {
      return true;
    }
  };

  public abstract String getIcon(Icons icons);


  public boolean isError(){
    return false;
  }

  public boolean isWarning() {
    return false;
  }
}
